version: '2.4'

x-logging:
  &default-logging
  options:
    max-size: '10m'
    max-file: '5'
  driver: json-file

services:
  tensorflow:
    image: registry.gitlab.com/maarten.schermer/deep-learning-tests/tensorflow:tf2.7.0
    runtime: nvidia
    mem_limit: 12g
    environment:
      - NVIDIA_VISIBLE_DEVICES=0
      # - KERAS_HOME=/keras
    env_file:
      - .env
    logging: *default-logging
    volumes:
      - /data/projects/data:/data
      - /data/projects/beeldherkenning-museumproject/code:/code
      - /data/projects/beeldherkenning-museumproject/tools:/tools
      - /data/projects/keras:/root/.keras

  tensorflow_222:
    # b0e64a8e = tf2.2.2 (tag v1)
    # image: registry.gitlab.com/maarten.schermer/deep-learning-tests/tensorflow:b0e64a8e
    image: registry.gitlab.com/maarten.schermer/deep-learning-tests/tensorflow:tf2.2.2
    runtime: nvidia
    mem_limit: 12g
    environment:
      - NVIDIA_VISIBLE_DEVICES=0
    env_file:
      - .env
    logging: *default-logging
    volumes:
      - /data/projects/data:/data
      - /data/projects/beeldherkenning-museumproject/code:/code
      - /data/projects/beeldherkenning-museumproject/tools:/tools
      - /data/projects/keras:/root/.keras

  # webserver:
  #   # image: registry.gitlab.com/maarten.schermer/deep-learning-tests/webserver:b0e64a8e
  #   image: registry.gitlab.com/maarten.schermer/deep-learning-tests/webserver:tf2.7.0
  #   ports:
  #     - "8091:80"
  #   env_file:
  #     - .env
  #   logging: *default-logging
  #   volumes:
  #     - /data/projects/data:/data
  #     - ../webserver:/var/www/html

  tensorboard:
    # image: registry.gitlab.com/maarten.schermer/deep-learning-tests/tensorboard:b0e64a8e
    image: registry.gitlab.com/maarten.schermer/deep-learning-tests/tensorboard:tf2.7.0
    ports:
      - "6006:6006"
    env_file:
      - .env
    logging: *default-logging
    volumes:
      - /data/maarten.schermer${PROJECT_ROOT}log:/log
